aboutsummaryrefslogtreecommitdiff
path: root/testcases/lib
diff options
context:
space:
mode:
authorGarrett Cooper <yanegomi@gmail.com>2010-11-23 20:58:29 -0800
committerGarrett Cooper <yanegomi@gmail.com>2010-11-23 20:58:29 -0800
commitffb497af2c83e879d79ad1e8653d91c79a903a81 (patch)
tree5039ea06c77f5a22b782f41f6c273e8e4ea2e8bb /testcases/lib
parent70a3216af5e38148e641472a8211028a52dba5b3 (diff)
Be more POSIX compliant by using command -v.
Signed-off-by: Garrett Cooper <yanegomi@gmail.com>
Diffstat (limited to 'testcases/lib')
-rw-r--r--testcases/lib/cmdlib.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/testcases/lib/cmdlib.sh b/testcases/lib/cmdlib.sh
index 6cd62f15d..9a7ff28e6 100644
--- a/testcases/lib/cmdlib.sh
+++ b/testcases/lib/cmdlib.sh
@@ -102,7 +102,7 @@ end_testcase()
exists()
{
for cmd in $*; do
- if ! type $cmd >/dev/null 2>&1; then
+ if ! command -v $cmd >/dev/null 2>&1; then
end_testcase "$cmd: command not found"
exit 1
fi